package com.demo.ticketing.controller;

import com.demo.ticketing.model.Customer;
import com.demo.ticketing.service.CustomerService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@RestController
@RequestMapping("api/customers")
public class CustomerController {

    @Autowired
    private CustomerService customerService;

    @GetMapping("/{id}")
    public Customer getCustomer(@PathVariable Integer id){
        return customerService.findById(id);
    }

    @GetMapping()
    public List<Customer> getCustomer(){
        return customerService.findAll();
    }

    @PostMapping
    public Customer addCustomer(@RequestBody Customer customer){
        return customerService.addCustomer(customer);
    }

    @PutMapping
    public Customer editCustomer(@RequestBody Customer customer){
        return customerService.editCustomer(customer);
    }

}
